package cn.com.countrygarden.bi.main.dto.investment;

import java.math.BigDecimal;

import javax.persistence.Column;

public class InvestProjectAppVO {
	private Integer id;
	/**
	 * 投资人BIP
	 */
	private String bipUserAccount;
	
	/**
	 * 投资人名称
	 */
	private String userName;

	/**
	 * 个人区域投资-跟投（资金池）
	 */
	private BigDecimal followCapital;
	/**
	 * 个人区域投资- 跟投（独资金账户）
	 */
	private BigDecimal followCapitalAccount;
	/**
	 * 个人区域投资-资金池（可用资金余额）
	 */
	private BigDecimal availableBalanceCapital;
	/**
	 * 个人区域投资-单独资金账户（可用资金余额）
	 */
	private BigDecimal availableBalanceCapitalAccount;
	/**
	 * 个人项目收益-资金池（区域跟投）
	 */

	private BigDecimal regionFollowCapital;
	/**
	 * 个人项目收益-单独资金账户（区域跟投）
	 */
	private BigDecimal regionFollowCapitalAccount;
	/**
	 * 资金池(预计可分配净利润)
	 */
	
	private BigDecimal financialIncomeCapital;
	/**
	 * 单独资金池(预计可分配净利润)
	 */
	private BigDecimal financialIncomeCapitalAccount;

	
	public BigDecimal getFinancialIncomeCapital() {
		return financialIncomeCapital;
	}
	public void setFinancialIncomeCapital(BigDecimal financialIncomeCapital) {
		this.financialIncomeCapital = financialIncomeCapital;
	}
	public BigDecimal getFinancialIncomeCapitalAccount() {
		return financialIncomeCapitalAccount;
	}
	public void setFinancialIncomeCapitalAccount(BigDecimal financialIncomeCapitalAccount) {
		this.financialIncomeCapitalAccount = financialIncomeCapitalAccount;
	}
	public String getBipUserAccount() {
		return bipUserAccount;
	}
	public void setBipUserAccount(String bipUserAccount) {
		this.bipUserAccount = bipUserAccount;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public BigDecimal getFollowCapital() {
		return followCapital;
	}
	public void setFollowCapital(BigDecimal followCapital) {
		this.followCapital = followCapital;
	}
	public BigDecimal getFollowCapitalAccount() {
		return followCapitalAccount;
	}
	public void setFollowCapitalAccount(BigDecimal followCapitalAccount) {
		this.followCapitalAccount = followCapitalAccount;
	}
	public BigDecimal getAvailableBalanceCapital() {
		return availableBalanceCapital;
	}
	public void setAvailableBalanceCapital(BigDecimal availableBalanceCapital) {
		this.availableBalanceCapital = availableBalanceCapital;
	}
	public BigDecimal getAvailableBalanceCapitalAccount() {
		return availableBalanceCapitalAccount;
	}
	public void setAvailableBalanceCapitalAccount(BigDecimal availableBalanceCapitalAccount) {
		this.availableBalanceCapitalAccount = availableBalanceCapitalAccount;
	}
	public BigDecimal getRegionFollowCapital() {
		return regionFollowCapital;
	}
	public void setRegionFollowCapital(BigDecimal regionFollowCapital) {
		this.regionFollowCapital = regionFollowCapital;
	}
	public BigDecimal getRegionFollowCapitalAccount() {
		return regionFollowCapitalAccount;
	}
	public void setRegionFollowCapitalAccount(BigDecimal regionFollowCapitalAccount) {
		this.regionFollowCapitalAccount = regionFollowCapitalAccount;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}

	
}
